Bug 481736 - logrotate default configuration, use of wildcard ' * '
logrotate default configuration, use of wildcard ' * '
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: piranha (Show other bugs)
4
All Linux
low Severity medium
: ---
: ---
Assigned To: Marek Grac
Cluster QE
:
Depends On:
Blocks: 483602
  Show dependency treegraph
 
Reported: 2009-01-27 08:13 EST by Carlo Pacini
Modified: 2009-05-18 17:19 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 483602 (view as bug list)
Environment:
Last Closed: 2009-05-18 17:19:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to piranha's logrotate configuration (439 bytes, patch)
2009-02-04 13:14 EST, Marek Grac
no flags Details | Diff

  None (edit)
Description Carlo Pacini 2009-01-27 08:13:41 EST
Description of problem:

Logrotate default configuration  use wildcard '*' in /etc/logrotate.d/piranha-httpd and rotate all files, including previously rotated ones.

Version-Release number of selected component:

piranha-0.8.4-9.3.el5

Default installation, after about 6 weeks,  produce this result in /var/log/piranha/

Actual results:

-rw-r--r-- 1 root    root    0 Jan 26 16:37 apache_runtime_status
-rw-r--r-- 1 root    root    0 Jan 26 16:37 apache_runtime_status.1
-rw-r--r-- 1 root    root    0 Jan 27 04:02 apache_runtime_status.1.1
-rw-r--r-- 1 root    root    8 Jan 26 15:32 apache_runtime_status.1.1.1
-rw-r--r-- 1 root    root    0 Jan 21 04:02 apache_runtime_status.1.1.1.1
-rw-r--r-- 1 root    root    0 Jan 22 04:02 apache_runtime_status.1.1.1.1.1
-rw-r--r-- 1 root    root    0 Jan 26 16:37 apache_runtime_status.1.1.1.1.1.1


-rw-rw-r-- 1 piranha root  578 Jan 27 04:02 piranha-gui
-rw-rw-r-- 1 piranha root    0 Jan 27 04:02 piranha-gui.1
-rw-rw-r-- 1 piranha root 2586 Jan 26 16:37 piranha-gui.1.1
-rw-rw-r-- 1 piranha root    0 Jan 21 04:02 piranha-gui.1.1.1
-rw-rw-r-- 1 piranha root    0 Jan 22 04:02 piranha-gui.1.1.1.1
-rw-rw-r-- 1 piranha root    0 Jan 26 16:37 piranha-gui.1.1.1.1.1
-rw-rw-r-- 1 piranha root    0 Jan 27 04:02 piranha-gui.1.1.1.1.1.1




-rw-rw-r-- 1 piranha root    0 Oct 26 04:02 piranha-gui-access
-rw-rw-r-- 1 piranha root    0 Nov  2 04:02 piranha-gui-access.1
-rw-rw-r-- 1 piranha root    0 Nov  9 04:02 piranha-gui-access.1.1
-rw-rw-r-- 1 piranha root    0 Nov 17 10:05 piranha-gui-access.1.1.1
-rw-rw-r-- 1 piranha root    0 Nov 23 04:02 piranha-gui-access.1.1.1.1
-rw-rw-r-- 1 piranha root    0 Nov 30 04:02 piranha-gui-access.1.1.1.1.1
-rw-rw-r-- 1 piranha root    0 Dec  7 04:02 piranha-gui-access.1.1.1.1.1.1

Expected results:

apache_runtime_status
apache_runtime_status.1
apache_runtime_status.2
apache_runtime_status.3

....

piranha-gui
piranha-gui.1
piranha-gui.2
piranha-gui.3

....

piranha-gui-access
piranha-gui-access.1
piranha-gui-access.2
piranha-gui-access.3


A quick workaround, as described in logrotate man-page,

is to add a file extension to 

apache_runtime_status 
piranha-gui 
piranha-gui-access 

modifying apache configuration at /etc/sysconfig/ha/conf/httpd.conf

ScoreBoardFile /var/log/piranha/apache_runtime_status.log
ErrorLog /var/log/piranha/piranha-gui.log
CustomLog /var/log/piranha/piranha-gui-access.log common

and matching by '*log' in /etc/logrotate.d/piranha-httpd

/var/log/piranha/*log

instead of

/var/log/piranha/*
Comment 1 Marek Grac 2009-02-04 13:14:55 EST
Created attachment 330897 [details]
Patch to piranha's logrotate configuration

Thanks for reporting. Adding extension to the log file is good idea but unfortunately that can broke other applications expecting old filenames. It will possible to change it in the next version. In attached patch there is workaround which rotate only listed files.
Comment 4 errata-xmlrpc 2009-05-18 17:19:22 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1054.html

Note You need to log in before you can comment on or make changes to this bug.